//+------------------------------------------------------------------+
//|                                   vav_openstoporder_semiauto.mq4 |
//|                                                              vav |
//|                                                              vav |
//+------------------------------------------------------------------+
#property copyright "vav"
#property link      "vav"
#property version   "1.00"
#property strict
#property script_show_inputs
//--- input parameters
input int      Ident=123;        // 
input string   coment="";        //
input int      PrSk=3;           //
input double   Stop=0;           //StopLoss
input double   Tk=0;             //TakeProfit
input double   PrDepo=1;         //   %  

//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
   int      nZn      = Digits;                                          //- 
   double   CenaOp   = NormalizeDouble(WindowPriceOnDropped(),nZn);     // 
   string   SymB     = Symbol();                                        //
   double   Lo;                                                         // 
   double   minLot   = MarketInfo(SymB, MODE_MINLOT);
   int      ti;
   double   Take=Tk;
      if(CenaOp>Ask)
      {
         if(Stop<CenaOp)
         {
            if(Take<=CenaOp || Take==0)
            {
               Take=0;
               Alert("TakeProfit  ");
            }
            Lo=Lot(SymB,(int)((CenaOp-Stop)*MathPow(10,nZn)),PrDepo);
            if(Lo<minLot)
            {
               Alert("  ");
            }
            else
            {
               Lo=NormalizeDouble(Lo,2);
               ti=OrderSend(SymB,OP_BUYSTOP,Lo,CenaOp,PrSk,Stop,Take,coment,Ident,0,clrNONE);
               if(ti!=-1)
               {
                  Alert(" ",ti,"BuyStop");
               }
               else
                  Alert("  ");
             }
          }
          else
          {
            Alert("  StopLoss");
          }
      }
      if(CenaOp<Bid)
      {
         if(Stop>CenaOp)
         {
            if(Take>=CenaOp || Take==0)
            {
               Take=0;
               Alert("TakeProfit  ");
            }
            Lo=Lot(SymB,(int)((Stop-CenaOp)*MathPow(10,nZn)),PrDepo);
            if(Lo<minLot)
            {
               Alert("  ");
            }
            else
            {
               Lo=NormalizeDouble(Lo,2);
               ti=OrderSend(SymB,OP_SELLSTOP,Lo,CenaOp,PrSk,Stop,Take,coment,Ident,0,clrNONE);
            if(ti!=-1)
            {
               Alert(" ",ti,"SellStop");
            }
            else
               Alert("  ");
            }
         }
      }
      if(Bid<=CenaOp && CenaOp<=Ask)Alert("  ");
   }
//+------------------------------------------------------------------+
//    
double Lot(string Sym,int Pn,double pD)
{
   double L=(AccountBalance()/100*pD)/(MarketInfo(Sym, MODE_TICKVALUE)*(Pn));
return(L);
}